<template>
	<view  >
	<view style="width: 100%;" id="app">
	        <web-view :src="webUrl"></web-view>
	    </view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				webUrl : 'https://m.xyyxt.net/oss/images/20210602/2021_6_2_1763607338.pdf'
			}
		},

		onLoad(option) {
			let url = decodeURIComponent(option.url)
			console.log(url)
			this.webUrl = 'https://m.xyyxt.net/pages/note/index?pdfUrl='+url
			/* uni.downloadFile({
			  url: 'http://192.168.0.222:8080/img/test.pdf',
			  success: function (res) {
			    var filePath = res.tempFilePath;
			    uni.openDocument({
			      filePath: filePath,
			      success: function (res) {
			        console.log('打开文档成功');
			      }
			    });
			  }
			}); */
		},
		onShow(){
		},
		methods: {
			
		
		},
		
	}
</script>

<style scope>
	
page {
		background: #FFFFFF;
	}
</style>
